---
- name: Fetch Jira Credentials
  shell: vault read -field=value secret/puffin/jira-creds | sed 's/(MISSING)//g' | sed 's/!//g'> ../src/tokens/jira-creds.ts
  register: jira_result
  args:
    executable: /bin/bash
  tags:
    - tokens

- name: Fetch Google Calendar Creds
  shell: vault read -field=value secret/puffin/google-calendar-creds > ../src/tokens/google-calendar-creds.ts
  args:
    executable: /bin/bash
  tags:
    - tokens

- name: Fetch Google Calendar Token
  shell: vault read -field=value secret/puffin/google-calendar-token > ../src/tokens/google-calendar-token.ts
  register: gcal_token_result
  args:
    executable: /bin/bash
  tags:
    - tokens

- name: Fetch Github Credentials
  shell: vault read -field=value secret/puffin/github-token > ../src/tokens/github-token.ts
  register: github_result
  args:
    executable: /bin/bash
  tags:
    - tokens

- name: Fetch Slack Credentials
  shell: vault read -field=value secret/puffin/slack-token > ../src/tokens/slack-token.ts
  register: slack_result
  args:
    executable: /bin/bash
  tags:
    - tokens
